Artist

Search the MassiveMusic catalogue for artists matching the search query. Responses are weighted by popularity based on platform usage.

Example request

GET https://api.7digital.com/artist/search?q=Test&oauth_consumer_key=YOUR_KEY_HERE&country=GB&pagesize=10

Example response

{
  "estimatedTotalItems": 1,
  "page": 1,
  "expectedPageSize": 10,
  "results": [
    {
      "id": 574207,
      "name": "TEST CONTENT",
      "popularity": 0.2,
      "score": 9.997548
    }
  ]
}

Results schema

{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "type": "object",
  "properties": {
    "estimatedTotalItems": { "type": "integer" },
    "page": { "type": "integer" },
    "expectedPageSize": { "type": "integer" },
    "results": {
      "type": "array",
      "items": { "$ref": "#/definitions/artist" }
    }
  },
  "required": ["estimatedTotalItems", "page", "expectedPageSize", "results"],
  "definitions": {
    "artist": {
      "type": "object",
      "properties": {
        "id": { "type": "integer" },
        "name": { "type": "string" },
        "popularity": { "type": "number" },
        "score": { "type": "number" }
      },
      "required": ["id", "name", "popularity", "score"]
    }
  }
}
Query Params
string
required

Search query. By passing a query string wrapped in quotation marks (" "), you can instruct the search API to return only results that contain that exact phrase, character-for-character, in the order specified.

string
required

ISO 2-character code of the country the end user resides in.

licensorIds
array of int32s

Comma separated list of licensorIds.

licensorIds
int32

Page number of the result set. Defaults to 1.

int32

Number of items to be returned per page. Defaults to 10. Maximum page size is 50.

Language
LoadingLoading…